Class CopyRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\authentication\flows{flowAlias-id}\copy
public class CopyRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderCopyRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
CopyRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new CopyRequestBuilder and sets the default values.
public CopyRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
CopyRequestBuilder(string, IRequestAdapter)
Instantiates a new CopyRequestBuilder and sets the default values.
public CopyRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Methods
PostAsync(CopyPostRequestBody, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Copy existing authentication flow under a new name The new name is given as 'newName' attribute of the passed JSON object
public Task PostAsync(CopyPostRequestBody body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyCopyPostRequestBodyThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToPostRequestInformation(CopyPostRequestBody, Action<RequestConfiguration<DefaultQueryParameters>>?)
Copy existing authentication flow under a new name The new name is given as 'newName' attribute of the passed JSON object
public RequestInformation ToPostRequestInformation(CopyPostRequestBody body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyCopyPostRequestBodyThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public CopyRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.